summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2016-07-27 20:31:18 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:03:53 +0700
commitf73644a0a3ea1c6dbfdc3c610617d23b394f1f24 (patch)
tree7512d0a66eb8805e889be8fe70494851d80d479c /multimedia
parent8dc5abb227b1593b9d8638663e2538da05f1332c (diff)
downloadslackbuilds-f73644a0a3ea1c6dbfdc3c610617d23b394f1f24.tar.gz
slackbuilds-f73644a0a3ea1c6dbfdc3c610617d23b394f1f24.tar.xz
multimedia/aces-dev: Added (reference dev kit).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/aces-dev/README29
-rw-r--r--multimedia/aces-dev/aces-dev.SlackBuild67
-rw-r--r--multimedia/aces-dev/aces-dev.info10
-rw-r--r--multimedia/aces-dev/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/multimedia/aces-dev/README b/multimedia/aces-dev/README
new file mode 100644
index 0000000000..2f1bec35c1
--- /dev/null
+++ b/multimedia/aces-dev/README
@@ -0,0 +1,29 @@
+Aces-dev contains reference CTL transforms and documentation meant to
+aid implementing the ACES workflow.
+
+In this package:
+----------------
+
+* Color encoding and metric specs, file format specs, color
+ transformations, and an open source reference implementation
+
+* Python and a CSH wrapper script from Arri to generate a CTL based on
+ Alexa EI setting
+
+* Documentation on the system and software tools
+
+
+Missing from this package:
+--------------------------
+
+500mb of reference images (with CTLs applied). You can download
+reference images individually or as a ZIP file from the Academy's
+public DropBox account:
+
+https://dl.dropboxusercontent.com/content_link_zip/1Fm7ngrWzwj9AHEpn0AIsy74RItDirfO5KVIiLAWAshpEIpIUSFCh1SxmAtIj60x/file
+
+Recommended
+-----------
+
+aces_container
+ctl
diff --git a/multimedia/aces-dev/aces-dev.SlackBuild b/multimedia/aces-dev/aces-dev.SlackBuild
new file mode 100644
index 0000000000..c46faab600
--- /dev/null
+++ b/multimedia/aces-dev/aces-dev.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for aces-dev
+
+# Copyright 2016 Klaatu, Wellington NZ
+# All rights reserved.
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=aces-dev
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+DOCDIR=${DOCDIR:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=${ARCH:-noarch}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v"$VERSION".tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PREFIX=${PREFIX:-/usr}
+mkdir -p $PKG/$PREFIX/bin
+
+find . -type f -name "*.py" -exec install -D -m 0755 {} $PKG/$PREFIX/bin/ \;
+find . -type f -name "*.csh" -exec install -D -m 0755 {} $PKG/$PREFIX/bin/ \;
+
+# if you modify this line,
+find ./transforms/ctl/idt/vendorSupplied/arri/alexa/ -depth -name "*.py" -type f -delete
+find ./transforms/ctl/idt/vendorSupplied/arri/alexa/ -depth -name "*.csh" -type f -delete
+# for heavens sake
+# be careful with find and -delete
+
+mkdir -p $PKG/usr/share/$PRGNAM-$VERSION
+rsync -av transforms/ctl/ $PKG/usr/share/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a documents/LaTeX images CHANGELOG.md LICENSE.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/aces-dev/aces-dev.info b/multimedia/aces-dev/aces-dev.info
new file mode 100644
index 0000000000..f26fbcb168
--- /dev/null
+++ b/multimedia/aces-dev/aces-dev.info
@@ -0,0 +1,10 @@
+PRGNAM="aces-dev"
+VERSION="1.0.2"
+HOMEPAGE="http://www.oscars.org/science-technology/sci-tech-projects/aces"
+DOWNLOAD="https://github.com/ampas/aces-dev/archive/v1.0.2.tar.gz"
+MD5SUM="66af1b9098515b9ca4d15560bf486214"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="numpy"
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/multimedia/aces-dev/slack-desc b/multimedia/aces-dev/slack-desc
new file mode 100644
index 0000000000..fa5915c8d8
--- /dev/null
+++ b/multimedia/aces-dev/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aces-dev: aces-dev (reference dev kit for colour transforms and images)
+aces-dev:
+aces-dev: The Academy Color Encoding System (ACES) is a set of components that
+aces-dev: facilitates a wide range of motion picture and television workflows
+aces-dev: while eliminating the ambiguity of legacy file formats. The system
+aces-dev: is designed to support both all-digital and hybrid film-digital
+aces-dev: motion picture workflows.
+aces-dev:
+aces-dev: http://www.oscars.org/science-technology/sci-tech-projects/aces
+aces-dev:
+aces-dev: \ No newline at end of file